# $Revision: 1.18 $, $Date: 2001/05/12 23:50:16 $
Summary:	System Cache flusher
Summary(de):	System-Cache-Flusher
Summary(fr):	Videur de cache systme
Summary(pl):	System Cache Flusher
Summary(tr):	Sistem nbellek temizleyicisi
Name:		bdflush
Version:	1.6.2
Release:	5
License:	GPL
Group:		Daemons
Group(de):	Server
Group(pl):	Serwery
Source0:	ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/%{name}-%{version}.tgz
Patch0:		%{name}-axp.patch
Patch1:		%{name}-ia64.patch
Patch2:		%{name}-glibc2.2.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This program flushes the disk buffers the kernel keeps to prevent them
from growing too stale.

%description -l pl
Program do kontroli zarzadzania bufora dysku.

%description -l de
Dieses Programm leert die Disk-Puffer, die der Kernel speichert, damit
sie nicht ranzig werden.

%description -l fr
Ce programme vide les tampons disques du noyau pour viter qu'ils
deviennent trop anciens.

%description -l tr
Bu program ile ekirdek nbellei temizleyerek nbellekteki bilginin
taze olmasn salar.

%prep
%setup -q -n %{name}
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 

%build
rm -f bdflush

%{__cc} %{rpmcflags} -D_GNU_SOURCE -Wall -o update bdflush.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install update $RPM_BUILD_ROOT%{_sbindir}/update

install bdflush.8 $RPM_BUILD_ROOT%{_mandir}/man8/bdflush.8
echo .so bdflush.8 > $RPM_BUILD_ROOT%{_mandir}/man8/update.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/update
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bdflush.spec,v $
Revision 1.18  2001/05/12 23:50:16  kloczek
- release 5,
- added using %%{__cc} macro instead directly use gcc.

Revision 1.17  2001/05/10 08:03:41  mguevara
- changed licensing from None to GPL (as stated in bdflush.lsm)

Revision 1.16  2001/04/30 16:05:15  kloczek
- added using %%{rpmcflags} macro.

Revision 1.15  2001/01/25 20:03:21  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.13  2000/10/27 15:21:42  baggins
- release 4
- added glibc 2.2 fix

Revision 1.12  2000/10/23 04:07:14  kloczek
- release 3,
- use new rpm automation,
- compile with -D_GNU_SOURCE,
- merged ia64 patch from rawhide.

Revision 1.11  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Dec 04 1998 Artur Frysiak <wiget@pld.org.pl>
- fix files perms
- change man pages group to man
- gziped man pages
- remove symlink to update.8
